/***********************************************************
  文件名：29_Human_body_sensing.ino
  描述：人体感应警报器。
  作者：陈志强
  日期：2022.11.3
***********************************************************/
int body_sensing = 4;//设置人体传感器接D4引脚
int Buzzer = 6;//设置有蜂鸣器接D6引脚
boolean  value= 0;//设置布尔变量
void setup() {

  Serial.begin(9600);//设置串口波特率
  pinMode(body_sensing, INPUT);//设置D6引脚为输入模式
  pinMode(Buzzer, OUTPUT);//设置Buzzer为输出模式
}

void loop() {
    value = digitalRead(body_sensing);//读取人体感器状态值赋给变量value

     if (value == 1) {
    digitalWrite(Buzzer,HIGH);//蜂鸣器响
    Serial.println(String("有人蜂鸣器响：") + String(digitalRead(4)));//串口打印状态值

  } else if (value == 0) {
    Serial.println(String("无人：") + String(digitalRead(4)));//串口打印状态值
    digitalWrite(Buzzer,LOW);//蜂鸣器不工作
  }
  delay(500);
 
  
}
